Subject: Stack overflow!

From: [email-masked] (Maureen Philomena MOLLOY)
Date: Thu, 19 May 94 21:29:49 EST

I am compiling the protos system and have generated a stack space error
(see the bottom of this posting.) 

Is there a way to rectify this, eg increase the stack space.

Thanks for any help.

Maureen Molloy ([email-masked])

output of session follows...

  i i i i i i i       ooooo    o        ooooooo   ooooo   ooooo   
  I I I I I I I      8     8   8           8     8     o  8    8  
  I I I I I I I      8         8           8     8        8    8  
  I I I I I I I      8         8           8      ooooo   8oooo   
  I  \ `+' /  I      8         8           8           8  8       
   \  `-+-'  /       8     o   8           8     o     8  8       
    `-__|__-'         ooooo    8oooooo  ooo8ooo   ooooo   8       
        |                                                         
  ------+------     Copyright (c) Bruno Haible, Michael Stoll 1992, 1993, 1994

;; Loading file load-protos.lsp ...

Type the single character corresponding to what you want to do:
---------------------------------------------------------------
C   Compile the CL-Protos source files.
S   load the Source files for interpretative execution.
B   load the Binary files for execution.
Q   Quit (do nothing).

---> C
Probing /mount/muse/staff/cogsci/molloy/protos/global.lsp on host NIL

17 files will be compiled from host NIL, directory /mount/muse/staff/cogsci/molloy/protos/
This may take a few minutes.

Compiling /mount/muse/staff/cogsci/molloy/protos/global.lsp
Compiling file /mount/muse/staff/cogsci/molloy/protos/global.lsp ...

Compilation of file /mount/muse/staff/cogsci/molloy/protos/global.lsp is finished.
0 errors, 0 warnings

Compiling /mount/muse/staff/cogsci/molloy/protos/defs.lsp
Compiling file /mount/muse/staff/cogsci/molloy/protos/defs.lsp ...
** - Continuable Error
(SETF CLOS:FIND-CLASS): Redefining the COMMON LISP class CONDITION
If you continue (by typing 'continue'): The old definition will be lost
1. Break> continue

Compilation of file /mount/muse/staff/cogsci/molloy/protos/defs.lsp is finished.
0 errors, 0 warnings

*** - Lisp stack overflow. RESET
Bye.